<?php
namespace kwy\union\up\pay;

/**
 * 微信支付API支付中异常类
 * Class payException
 */
class UnionPayingException extends \Exception {
    private $data;

    public function __construct($data){
        $this->data = $data;
        parent::__construct('用户支付中');
    }

    public function errorMessage(){
		return $this->getMessage();
	}

    /**
     * 获取返回数据
     * @return mixed
     */
	public function getData(){
        return $this->data;
    }
}
